Package com.creditcall.chipdnamobile

# Class ChipDnaMobileErrorCode

java.lang.Object
com.creditcall.chipdnamobile.ChipDnaMobileErrorCode

All Implemented Interfaces:
  `Serializable`

public class ChipDnaMobileErrorCode extends Object
Teh error codes for ChipDnaMobileErrorCode.

Author:
  Creditcall Ltd
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ChipDnaMobileErrorCode`
  `AccessDenied`
  Access to the gateway has been denied.
  `static final ChipDnaMobileErrorCode`
  `AmbiguousIdentifier`
  An attempt to set more than one identifier has been made
  `static final ChipDnaMobileErrorCode`
  `ApiKey`
  There is a format error with the ApiKey.
  `static final ChipDnaMobileErrorCode`
  `ApiKeyMissing`
  The Api Key is missing.
  `static final ChipDnaMobileErrorCode`
  `ApplicationIdentifierInvalid`
  There is a format error with the application identifier parameter value.
  `static final ChipDnaMobileErrorCode`
  `BLEScanTimeValueInvalid`
  BLEScanTime is invalid.
  `static final ChipDnaMobileErrorCode`
  `CardEaseTerminalId`
  There is a format error with the CardEase Terminal ID.
  `static final ChipDnaMobileErrorCode`
  `CertificateFingerprintMissing`
  The certificate fingerprint is missing.
  `static final ChipDnaMobileErrorCode`
  `ClientIdMissing`
  The Client ID is missing.
  `static final ChipDnaMobileErrorCode`
  `ClientSecretMissing`
  The Client secret is missing.
  `static final ChipDnaMobileErrorCode`
  `CroppedSignatureTooSmall`
  The signature is too small after cropping out white space.
  `static final ChipDnaMobileErrorCode`
  `CurrentCountryNotAllowed`
  Merchant/Partner is not allowed to operate in the current country.
  `static final ChipDnaMobileErrorCode`
  `DataNotAvailable`
  DataNotAvailable The request did not return any results.
  `static final ChipDnaMobileErrorCode`
  `DataTypeError`
  An incorrect data type has been used.
  `static final ChipDnaMobileErrorCode`
  `DeviceConfiguration`
  The configuration on the device is incorrect.
  `static final ChipDnaMobileErrorCode`
  `EmptyElementSet`
  No elements returned by TMS
  `static final ChipDnaMobileErrorCode`
  `EnvironmentValueInvalid`
  There is a format error with the environment parameter value.
  `static final ChipDnaMobileErrorCode`
  `ErrorParsingPropertiesXML`
  Error parsing properties in element in response XML
  `static final ChipDnaMobileErrorCode`
  `ErrorParsingResponseXml`
  Error parsing response XML.
  `static final ChipDnaMobileErrorCode`
  `FailedToInitializeLogging`
  Failed to initialize logging.
  `static final ChipDnaMobileErrorCode`
  `FailedToInitializeTapToMobile`
  The current application session cannot continue and the application must restart.
  `static final ChipDnaMobileErrorCode`
  `FailedToMigrate`
  Unable to migrate the database on mobile device storage.
  `static final ChipDnaMobileErrorCode`
  `FailedToOpen`
  Unable to open the database on mobile device storage.
  `static final ChipDnaMobileErrorCode`
  `FailedToRead`
  Unable to read from database on the mobile device storage.
  `static final ChipDnaMobileErrorCode`
  `FailedToWrite`
  Unable to write to the database on mobile device storage.
  `static final ChipDnaMobileErrorCode`
  `GatewayGeneralError`
  There has been a general error with the gateway.
  `static final ChipDnaMobileErrorCode`
  `GatewayProcessError`
  There has been a process error with the gateway.
  `static final ChipDnaMobileErrorCode`
  `GeneralError`
  There has been a general error with the gateway.
  `static final ChipDnaMobileErrorCode`
  `InvalidApplicationInstance`
  The current application doesn't extend `ChipDnaApplication`.
  `static final ChipDnaMobileErrorCode`
  `InvalidField`
  Field within the request is invalid.
  `static final ChipDnaMobileErrorCode`
  `InvalidHTTPMethod`
  Invalid HTTP method.
  `static final ChipDnaMobileErrorCode`
  `InvalidLoginPlatform`
  The invalid login platform is used.
  `static final ChipDnaMobileErrorCode`
  `InvalidTimeZoneOffset`
  The time zone offset is invalid.
  `static final ChipDnaMobileErrorCode`
  `LocationPermissionsNotGranted`
  The current application does not have location permissions granted to allow Tap To Mobile payment processing.
  `static final ChipDnaMobileErrorCode`
  `LocationServiceNotEnabled`
  The current application does not have location services enabled to allow Tap To Mobile payment processing.
  `static final ChipDnaMobileErrorCode`
  `LogOnAutomaticallyDisabled`
  Log on is automatically disabled.
  `static final ChipDnaMobileErrorCode`
  `LogOnDenied`
  Log on is denied.
  `static final ChipDnaMobileErrorCode`
  `LogOnLocked`
  Log on is locked.
  `static final ChipDnaMobileErrorCode`
  `LogOnManuallyDisabled`
  Log on is manually disabled.
  `static final ChipDnaMobileErrorCode`
  `MerchantConfigurationError`
  Merchant's configuration is incorrect.
  `static final ChipDnaMobileErrorCode`
  `MissingField`
  Request is missing a required field.
  `static final ChipDnaMobileErrorCode`
  `NoLocationFound`
  The current device could not be located.
  `static final ChipDnaMobileErrorCode`
  `NoPoiSelected`
  No point of interaction selected for configuration.
  `static final ChipDnaMobileErrorCode`
  `ParseError`
  Failed to parse the request.
  `static final ChipDnaMobileErrorCode`
  `PinPadConnectionTypeInvalid`
  Invalid connection type value.
  `static final ChipDnaMobileErrorCode`
  `PinPadIpAddressInvalid`
  There is a format error with the Pin Pad name parameter value.
  `static final ChipDnaMobileErrorCode`
  `PinPadNameInvalid`
  There is a format error with the Pin Pad name parameter value.
  `static final ChipDnaMobileErrorCode`
  `PinPadNameMismatch`
  The Pin Pad name does not match device.
  `static final ChipDnaMobileErrorCode`
  `PinpadNotConfigured`
  PIN pad has not been configured for a configuration update from the TMS.
  `static final ChipDnaMobileErrorCode`
  `PinPadPortInvalid`
  There is a format error with the Pin Pad name parameter value.
  `static final ChipDnaMobileErrorCode`
  `ProvidedSignatureInvalidFormat`
  The signature format is invalid.
  `static final ChipDnaMobileErrorCode`
  `ProvidedSignatureOnlyContainsWhiteSpace`
  The signature only contains white space.
  `static final ChipDnaMobileErrorCode`
  `ProvidedSignatureTooSmall`
  The signature is too small.
  `static final ChipDnaMobileErrorCode`
  `ProvidedSignatureUnsupportedFormat`
  The signature format is unsupported.
  `static final ChipDnaMobileErrorCode`
  `ReceiptSourceEmailNotSupported`
  Email receipting is not supported.
  `static final ChipDnaMobileErrorCode`
  `ReceiptSourceSMSNotSupported`
  SMS receipting is not supported.
  `static final ChipDnaMobileErrorCode`
  `RegistrationFailed`
  The registration request has failed.
  `static final ChipDnaMobileErrorCode`
  `RegistrationFailedToRetrieveTerminalId`
  Registration failed to retrieve a terminal ID.
  `static final ChipDnaMobileErrorCode`
  `RegistrationFailedToRetrieveTransactionKey`
  Registration failed to retrieve a transaction key.
  `static final ChipDnaMobileErrorCode`
  `RegistrationUrl`
  There is a format error with the RegistrationUrl.
  `static final ChipDnaMobileErrorCode`
  `ResizedSignatureTooSmall`
  The signature is too small after cropping out white space and resizing.
  `static final ChipDnaMobileErrorCode`
  `ResponseXmlNotFound`
  Response XML not found.
  `static final ChipDnaMobileErrorCode`
  `ServerError`
  There has been an error with the server.
  `static final ChipDnaMobileErrorCode`
  `SOAPError`
  The SOAP error occurred.
  `static final ChipDnaMobileErrorCode`
  `SpecifiedUrlMalformed`
  Specified URL is malformed.
  `static final ChipDnaMobileErrorCode`
  `TapToMobileNotSupported`
  Tap To Mobile set as not supported by TMS.
  `static final ChipDnaMobileErrorCode`
  `TransactionKey`
  There is a format error with the Transaction Key.
  `static final ChipDnaMobileErrorCode`
  `UnableToCreateTLSSockets`
  Unable to create TLS 1.2 sockets.
  `static final ChipDnaMobileErrorCode`
  `UnableToDecodeElementValue`
  Unable to decode the element value.
  `static final ChipDnaMobileErrorCode`
  `UnableToGetHttpResponseCode`
  Unable to retrieve HTTP response code.
  `static final ChipDnaMobileErrorCode`
  `UnableToOpenURL`
  Unable to open the specified URL.
  `static final ChipDnaMobileErrorCode`
  `UnableToParseResponseXml`
  Unable to parse response XML.
  `static final ChipDnaMobileErrorCode`
  `UnableToReadResponse`
  Unable to read HTTP response data.
  `static final ChipDnaMobileErrorCode`
  `UnableToReadResponseXml`
  Unable to read response XML.
  `static final ChipDnaMobileErrorCode`
  `UnableToRetrieveResponse`
  Unable to retrieve server response.
  `static final ChipDnaMobileErrorCode`
  `UnableToSendRequest`
  Unable to send request.
  `static final ChipDnaMobileErrorCode`
  `UnableToSpecifyCommunicationProtocol`
  Unable to specify communication protocol.
  `static final ChipDnaMobileErrorCode`
  `UnableToWriteRequestXml`
  Unable to write request XML.
  `static final ChipDnaMobileErrorCode`
  `UnexpectedChipDnaError`
  ChipDNA encountered an unexpected error.
  `static final ChipDnaMobileErrorCode`
  `UnexpectedField`
  There was an unexpected field within the request.
  `static final ChipDnaMobileErrorCode`
  `UnsuccessfulHttpRequest`
  The response to the HTTP request was not equal to 200(OK)
  `static final ChipDnaMobileErrorCode`
  `UnsupportedPaymentDevice`
  The device model is not supported by ChipDNA.
  `static final ChipDnaMobileErrorCode`
  `WebMISPassword`
  There is a format error with the WebMIS password.
  `static final ChipDnaMobileErrorCode`
  `WebMISUsername`
  There is a format error with the WebMIS username.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorDescription()`
  `String`
  `getErrorString()`
  `void`
  `setErrorDescription(String errorDescription)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SOAPError

    public static final ChipDnaMobileErrorCode SOAPError
    The SOAP error occurred.

  - ### InvalidTimeZoneOffset

    public static final ChipDnaMobileErrorCode InvalidTimeZoneOffset
    The time zone offset is invalid.

  - ### LogOnDenied

    public static final ChipDnaMobileErrorCode LogOnDenied
    Log on is denied.

  - ### LogOnManuallyDisabled

    public static final ChipDnaMobileErrorCode LogOnManuallyDisabled
    Log on is manually disabled.

  - ### LogOnAutomaticallyDisabled

    public static final ChipDnaMobileErrorCode LogOnAutomaticallyDisabled
    Log on is automatically disabled.

  - ### LogOnLocked

    public static final ChipDnaMobileErrorCode LogOnLocked
    Log on is locked.

  - ### InvalidLoginPlatform

    public static final ChipDnaMobileErrorCode InvalidLoginPlatform
    The invalid login platform is used.

  - ### DataNotAvailable

    public static final ChipDnaMobileErrorCode DataNotAvailable
    DataNotAvailable The request did not return any results. This might be because there are no results for the given data range or because the provided data does not generate any results (for example, incorrect GUID provided for retrieving transaction details).

  - ### FailedToOpen

    public static final ChipDnaMobileErrorCode FailedToOpen
    Unable to open the database on mobile device storage.

  - ### FailedToRead

    public static final ChipDnaMobileErrorCode FailedToRead
    Unable to read from database on the mobile device storage.

  - ### FailedToWrite

    public static final ChipDnaMobileErrorCode FailedToWrite
    Unable to write to the database on mobile device storage.

  - ### FailedToMigrate

    public static final ChipDnaMobileErrorCode FailedToMigrate
    Unable to migrate the database on mobile device storage.

  - ### CardEaseTerminalId

    public static final ChipDnaMobileErrorCode CardEaseTerminalId
    There is a format error with the CardEase Terminal ID.

  - ### TransactionKey

    public static final ChipDnaMobileErrorCode TransactionKey
    There is a format error with the Transaction Key.

  - ### WebMISUsername

    public static final ChipDnaMobileErrorCode WebMISUsername
    There is a format error with the WebMIS username.

  - ### WebMISPassword

    public static final ChipDnaMobileErrorCode WebMISPassword
    There is a format error with the WebMIS password.

  - ### ApiKey

    public static final ChipDnaMobileErrorCode ApiKey
    There is a format error with the ApiKey.

  - ### AmbiguousIdentifier

    public static final ChipDnaMobileErrorCode AmbiguousIdentifier
    An attempt to set more than one identifier has been made

  - ### RegistrationUrl

    public static final ChipDnaMobileErrorCode RegistrationUrl
    There is a format error with the RegistrationUrl.

  - ### RegistrationFailed

    public static final ChipDnaMobileErrorCode RegistrationFailed
    The registration request has failed.

  - ### RegistrationFailedToRetrieveTerminalId

    public static final ChipDnaMobileErrorCode RegistrationFailedToRetrieveTerminalId
    Registration failed to retrieve a terminal ID.

  - ### RegistrationFailedToRetrieveTransactionKey

    public static final ChipDnaMobileErrorCode RegistrationFailedToRetrieveTransactionKey
    Registration failed to retrieve a transaction key.

  - ### MerchantConfigurationError

    public static final ChipDnaMobileErrorCode MerchantConfigurationError
    Merchant's configuration is incorrect.

  - ### MissingField

    public static final ChipDnaMobileErrorCode MissingField
    Request is missing a required field.

  - ### InvalidField

    public static final ChipDnaMobileErrorCode InvalidField
    Field within the request is invalid.

  - ### InvalidHTTPMethod

    public static final ChipDnaMobileErrorCode InvalidHTTPMethod
    Invalid HTTP method.

  - ### AccessDenied

    public static final ChipDnaMobileErrorCode AccessDenied
    Access to the gateway has been denied.

  - ### DeviceConfiguration

    public static final ChipDnaMobileErrorCode DeviceConfiguration
    The configuration on the device is incorrect.

  - ### UnexpectedField

    public static final ChipDnaMobileErrorCode UnexpectedField
    There was an unexpected field within the request.

  - ### DataTypeError

    public static final ChipDnaMobileErrorCode DataTypeError
    An incorrect data type has been used.

  - ### ParseError

    public static final ChipDnaMobileErrorCode ParseError
    Failed to parse the request.

  - ### ServerError

    public static final ChipDnaMobileErrorCode ServerError
    There has been an error with the server.

  - ### GeneralError

    public static final ChipDnaMobileErrorCode GeneralError
    There has been a general error with the gateway.

  - ### GatewayGeneralError

    public static final ChipDnaMobileErrorCode GatewayGeneralError
    There has been a general error with the gateway.

  - ### GatewayProcessError

    public static final ChipDnaMobileErrorCode GatewayProcessError
    There has been a process error with the gateway.

  - ### EnvironmentValueInvalid

    public static final ChipDnaMobileErrorCode EnvironmentValueInvalid
    There is a format error with the environment parameter value.

  - ### ApplicationIdentifierInvalid

    public static final ChipDnaMobileErrorCode ApplicationIdentifierInvalid
    There is a format error with the application identifier parameter value.

  - ### PinPadConnectionTypeInvalid

    public static final ChipDnaMobileErrorCode PinPadConnectionTypeInvalid
    Invalid connection type value.

  - ### PinPadNameMismatch

    public static final ChipDnaMobileErrorCode PinPadNameMismatch
    The Pin Pad name does not match device.

  - ### PinPadNameInvalid

    public static final ChipDnaMobileErrorCode PinPadNameInvalid
    There is a format error with the Pin Pad name parameter value.

  - ### UnsupportedPaymentDevice

    public static final ChipDnaMobileErrorCode UnsupportedPaymentDevice
    The device model is not supported by ChipDNA.

  - ### PinPadIpAddressInvalid

    public static final ChipDnaMobileErrorCode PinPadIpAddressInvalid
    There is a format error with the Pin Pad name parameter value.

  - ### PinPadPortInvalid

    public static final ChipDnaMobileErrorCode PinPadPortInvalid
    There is a format error with the Pin Pad name parameter value.

  - ### BLEScanTimeValueInvalid

    public static final ChipDnaMobileErrorCode BLEScanTimeValueInvalid
    BLEScanTime is invalid.

  - ### ReceiptSourceSMSNotSupported

    public static final ChipDnaMobileErrorCode ReceiptSourceSMSNotSupported
    SMS receipting is not supported.

  - ### ReceiptSourceEmailNotSupported

    public static final ChipDnaMobileErrorCode ReceiptSourceEmailNotSupported
    Email receipting is not supported.

  - ### ProvidedSignatureUnsupportedFormat

    public static final ChipDnaMobileErrorCode ProvidedSignatureUnsupportedFormat
    The signature format is unsupported.

  - ### ProvidedSignatureInvalidFormat

    public static final ChipDnaMobileErrorCode ProvidedSignatureInvalidFormat
    The signature format is invalid.

  - ### ProvidedSignatureOnlyContainsWhiteSpace

    public static final ChipDnaMobileErrorCode ProvidedSignatureOnlyContainsWhiteSpace
    The signature only contains white space.

  - ### ProvidedSignatureTooSmall

    public static final ChipDnaMobileErrorCode ProvidedSignatureTooSmall
    The signature is too small.

  - ### CroppedSignatureTooSmall

    public static final ChipDnaMobileErrorCode CroppedSignatureTooSmall
    The signature is too small after cropping out white space.

  - ### ResizedSignatureTooSmall

    public static final ChipDnaMobileErrorCode ResizedSignatureTooSmall
    The signature is too small after cropping out white space and resizing.

  - ### UnableToOpenURL

    public static final ChipDnaMobileErrorCode UnableToOpenURL
    Unable to open the specified URL.

  - ### UnableToSpecifyCommunicationProtocol

    public static final ChipDnaMobileErrorCode UnableToSpecifyCommunicationProtocol
    Unable to specify communication protocol.

  - ### UnableToSendRequest

    public static final ChipDnaMobileErrorCode UnableToSendRequest
    Unable to send request.

  - ### UnableToGetHttpResponseCode

    public static final ChipDnaMobileErrorCode UnableToGetHttpResponseCode
    Unable to retrieve HTTP response code.

  - ### UnsuccessfulHttpRequest

    public static final ChipDnaMobileErrorCode UnsuccessfulHttpRequest
    The response to the HTTP request was not equal to 200(OK)

  - ### UnableToReadResponse

    public static final ChipDnaMobileErrorCode UnableToReadResponse
    Unable to read HTTP response data.

  - ### UnableToRetrieveResponse

    public static final ChipDnaMobileErrorCode UnableToRetrieveResponse
    Unable to retrieve server response.

  - ### UnableToWriteRequestXml

    public static final ChipDnaMobileErrorCode UnableToWriteRequestXml
    Unable to write request XML.

  - ### UnableToParseResponseXml

    public static final ChipDnaMobileErrorCode UnableToParseResponseXml
    Unable to parse response XML.

  - ### UnableToReadResponseXml

    public static final ChipDnaMobileErrorCode UnableToReadResponseXml
    Unable to read response XML.

  - ### ErrorParsingResponseXml

    public static final ChipDnaMobileErrorCode ErrorParsingResponseXml
    Error parsing response XML.

  - ### ResponseXmlNotFound

    public static final ChipDnaMobileErrorCode ResponseXmlNotFound
    Response XML not found.

  - ### EmptyElementSet

    public static final ChipDnaMobileErrorCode EmptyElementSet
    No elements returned by TMS

  - ### ErrorParsingPropertiesXML

    public static final ChipDnaMobileErrorCode ErrorParsingPropertiesXML
    Error parsing properties in element in response XML

  - ### PinpadNotConfigured

    public static final ChipDnaMobileErrorCode PinpadNotConfigured
    PIN pad has not been configured for a configuration update from the TMS.

  - ### SpecifiedUrlMalformed

    public static final ChipDnaMobileErrorCode SpecifiedUrlMalformed
    Specified URL is malformed.

  - ### UnableToDecodeElementValue

    public static final ChipDnaMobileErrorCode UnableToDecodeElementValue
    Unable to decode the element value.

  - ### UnableToCreateTLSSockets

    public static final ChipDnaMobileErrorCode UnableToCreateTLSSockets
    Unable to create TLS 1.2 sockets.

  - ### UnexpectedChipDnaError

    public static final ChipDnaMobileErrorCode UnexpectedChipDnaError
    ChipDNA encountered an unexpected error.

  - ### FailedToInitializeLogging

    public static final ChipDnaMobileErrorCode FailedToInitializeLogging
    Failed to initialize logging.

  - ### NoPoiSelected

    public static final ChipDnaMobileErrorCode NoPoiSelected
    No point of interaction selected for configuration.

  - ### LocationPermissionsNotGranted

    public static final ChipDnaMobileErrorCode LocationPermissionsNotGranted
    The current application does not have location permissions granted to allow Tap To Mobile payment processing.

  - ### LocationServiceNotEnabled

    public static final ChipDnaMobileErrorCode LocationServiceNotEnabled
    The current application does not have location services enabled to allow Tap To Mobile payment processing.

  - ### ApiKeyMissing

    public static final ChipDnaMobileErrorCode ApiKeyMissing
    The Api Key is missing.

  - ### TapToMobileNotSupported

    public static final ChipDnaMobileErrorCode TapToMobileNotSupported
    Tap To Mobile set as not supported by TMS.

  - ### CertificateFingerprintMissing

    public static final ChipDnaMobileErrorCode CertificateFingerprintMissing
    The certificate fingerprint is missing.

  - ### ClientIdMissing

    public static final ChipDnaMobileErrorCode ClientIdMissing
    The Client ID is missing.

  - ### ClientSecretMissing

    public static final ChipDnaMobileErrorCode ClientSecretMissing
    The Client secret is missing.

  - ### InvalidApplicationInstance

    public static final ChipDnaMobileErrorCode InvalidApplicationInstance
    The current application doesn't extend `ChipDnaApplication`.

  - ### FailedToInitializeTapToMobile

    public static final ChipDnaMobileErrorCode FailedToInitializeTapToMobile
    The current application session cannot continue and the application must restart.

  - ### CurrentCountryNotAllowed

    public static final ChipDnaMobileErrorCode CurrentCountryNotAllowed
    Merchant/Partner is not allowed to operate in the current country.

  - ### NoLocationFound

    public static final ChipDnaMobileErrorCode NoLocationFound
    The current device could not be located.

- ## Method Details

  - ### getErrorString

    public String getErrorString()

  - ### getErrorDescription

    public String getErrorDescription()

  - ### setErrorDescription

    public void setErrorDescription(String errorDescription)